<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.zhiqiyun.open.core.mapper.UserPasswordMapper">
    <insert id="insertOrUpdatePassword" parameterType="com.zhiqiyun.open.core.models.user.UserPassword">
        replace
        into `user_password` (`id`, `uid`, `passwd`, `salt`, `password_type`)
        values (
        #{id},
        #{uid},
        #{passwd},
        #{salt},
        #{passwordType}
        )
    </insert>
</mapper>
